﻿using Hotline.Share.Dtos.File;

namespace Hotline.Share.Dtos.DataSharing.PusherHotlineDto
{
    public class TianQueReceiverOpinionDto
    {
        /// <summary>
        /// 工单编号
        /// </summary>
        public string No { get; set; }

        /// <summary>
        /// 办理时间
        /// </summary>
        public DateTime? HandleTime { get; set; }

        /// <summary>
        /// 办理人
        /// </summary>
        public string? HandleUser { get; set; }

        /// <summary>
        /// 办理部门
        /// </summary>
        public string? HandleOrgName { get; set; }

        /// <summary>
        /// 办理状态 1，7：流转 2：办结 3：退回 4：网格员签收 5：消息推送 6: 超时自动退单
        /// </summary>
        public string? HandleType { get; set; }

        /// <summary>
        /// 是否属实
        /// </summary>
        public bool ISTrue { get; set; }

        /// <summary>
        /// 是否重复 
        /// </summary>
        public bool IsRepeat { get; set; }

        /// <summary>
        /// 重复工单号
        /// </summary>
        public string? RepeatNo { get; set; }

        /// <summary>
        /// 是否隐患
        /// </summary>
        public bool IsHiddenDanger { get; set; }

        /// <summary>
        /// 是否重大隐患 
        /// </summary>
        public bool IsMajorHidden { get; set; }

        /// <summary>
        /// 网格员姓名
        /// </summary>
        public string? MemberName { get; set; }

        /// <summary>
        /// 网格员电话
        /// </summary>
        public string? MemberMobile { get; set; }

        /// <summary>
        /// 网格化诉求编号
        /// </summary>
        public string? AppealNumber { get; set; }

        /// <summary>
        /// 办理内容
        /// </summary>
        public string? ReplyContent { get; set; }

        /// <summary>
        /// 区域id
        /// </summary>
        public string? AreaId { get; set; }

        /// <summary>
        /// 区域名称
        /// </summary>
        public string? AreaName { get; set; }

        /// <summary>
        /// 区域全称
        /// </summary>
        public string? AreaFullName { get; set; }

        /// <summary>
        /// 区域编码
        /// </summary>
        public string? DepartmentNo { get; set; }

        /// <summary>
        /// 区域上级Id
        /// </summary>
        public string? ParentAreaId { get; set; }

        /// <summary>
        /// 附件
        /// </summary>
        public List<FileDto> FileDtos { get; set; }
    }
}
