﻿using Hotline.Share.Dtos.Snapshot;
using Hotline.Share.Tools;
using Hotline.Users;
using XF.Domain.Dependency;

namespace Hotline.Application.Tests.Mock;
public class ThirdTestService : IThirdIdentiyService, IScopeDependency
{
    public async Task<ThirdPhoneOutDto> GetPhoneNumberAsync(ThirdTokenDto dto)
    {
        return new ThirdPhoneOutDto
        {
            PhoneNumber = "138001389877"
        };
    }

    public async Task<ThirdTokenOutDto> GetTokenAsync(ThirdTokenDto dto)
    {
        //var resultString = "{\"SessionKey\":\"letVB1m+8ZYsMjo8PxhwUw==\",\"OpenId\":\"oHBwj4_8hQG1Q00HyTO3d47RLuAA\"}";
        //return resultString.FromJson<ThirdTokenOutDto>();
        return new ThirdTokenOutDto
        {
            SessionKey = "sessionKeyfjdklsafjdskla",
            OpenId = "测试生成的OpenId"
        };
    }
}
